## rsstail 1.3

=== Makefile ===
VERSION=1.3

DEBUG=-g
LDFLAGS=-lmrss $(DEBUG)
CFLAGS=-O2 -Wall -DVERSION=\"$(VERSION)\" $(DEBUG)

OBJS=r2t.o

all: rsstail

rsstail: $(OBJS)
	$(CC) -Wall -W $(OBJS) $(LDFLAGS) -o rsstail
	#
	# Oh, blatant plug: http://keetweej.vanheusden.com/wishlist.html

install: rsstail
	cp rsstail $(DESTDIR)/usr/bin
	cp rsstail.1 $(DESTDIR)/usr/share/man/man1/

clean:
	rm -f $(OBJS) core rsstail

package: clean
	# source package
	rm -rf rsstail-$(VERSION)*
	mkdir rsstail-$(VERSION)
	cp *.c *.1 Makefile* readme.txt license.* rsstail-$(VERSION)
	tar cf - rsstail-$(VERSION) | gzip -9 > rsstail-$(VERSION).tgz
	rm -rf rsstail-$(VERSION)

## rsstail 1.4

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION=1.3
+VERSION=1.4
 
 DEBUG=-g
 LDFLAGS=-lmrss $(DEBUG)

## rsstail 1.5

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION=1.4
+VERSION=1.5
 
 DEBUG=-g
 LDFLAGS=-lmrss $(DEBUG)

## rsstail 1.7

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION=1.5
+VERSION=1.7
 
 DEBUG=-g
 LDFLAGS=-lmrss $(DEBUG)

=== debian/changelog ===
rsstail (1.7-1) unstable; urgency=low

  * New upstream release
  * Update Standards-Version to 3.9.1(No changes needed)
  * Update debian/copyright to point for GPL-2 instead GPL
  * Switch to dpkg-source 3.0 (quilt) format

 -- Rene Mayorga <rmayorga@debian.org>  Sun, 13 Mar 2011 22:24:06 -0600

rsstail (1.5-1) unstable; urgency=low

  * New Upstream Version
  * remove hardcoded CFLAGS from upstream Makefile
  * debian/control
    + change my email address
    + declare`Enhances: multitail' field
    + expand long description
  * be more verbose on README.Source
  * debian/rules
    + use dh_prep instead dh_clean -k
    + remove CFLAGS, dpkg-buildpackage can handle it
  * update debian/copyright

 -- Rene Mayorga <rmayorga@debian.org>  Mon, 19 Jan 2009 09:30:02 -0600

rsstail (1.4-4) unstable; urgency=low

  * debian/control
    + Set standards-versions to 3.8.0
      + Add README.Source
    + fix typo s/an/and/
    + Set compat level to 7
  * debian/rules
    + made install-stamp depends on build-stamp instead build

 -- Rene Mayorga <rmayorga@debian.org.sv>  Thu, 09 Oct 2008 00:09:51 -0600

rsstail (1.4-3) unstable; urgency=low

  * Remove libnxml-depends and libmrss-depends (Closes: #475437)

 -- Rene Mayorga <rmayorga@debian.org.sv>  Thu, 10 Apr 2008 14:08:37 -0600

rsstail (1.4-2.1) unstable; urgency=low

  * NMU
  * Set debian/compat to 6.

 -- Torsten Werner <twerner@debian.org>  Mon, 17 Mar 2008 22:18:23 +0100

rsstail (1.4-2) unstable; urgency=low

  * Add a workarround to avoid the unstable libmrss0 ABI
    Thanks goes to Torsten Werner ( Closes: #467202 )
  * Use debhelper compatibility level 6

 -- Rene Mayorga <rmayorga@debian.org.sv>  Tue, 26 Feb 2008 16:11:14 -0600

rsstail (1.4-1) unstable; urgency=low

  * New upstream release
  * Add patch to the manpage - new options 
  * debian/control
    + add quilt to Build-Depends
    + Bumped standards version to 3.7.3 ( no changes requiered)
    + Promote 'Homepage' to a real field
    + Fix a small typo in long description
  * debian/rules
    + clean -stamp files 
    + add install-stamp target
    + remove unused dh_installman
    + include quilt rulsets

 -- Rene Mayorga <rmayorga@debian.org.sv>  Sat, 22 Dec 2007 19:30:39 -0600

rsstail (1.3-1) unstable; urgency=low

  * Initial release (Closes: #426954)

 -- Rene Mayorga <rmayorga@debian.org.sv>  Wed, 04 Jul 2007 17:39:38 -0600

=== debian/control ===
Source: rsstail
Section: text
Priority: optional
Maintainer: Rene Mayorga <rmayorga@debian.org>
Build-Depends: debhelper (>= 7), libmrss0-dev, quilt
Standards-Version: 3.9.1
Homepage: http://www.vanheusden.com/rsstail/

Package: rsstail
Enhances: multitail
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: console RSS reader that monitors a feed and outputs new entries 
 This small, simple application reads an RSS feed and outputs it like the
 'tail' command.
 .
 This tool can be used as a plugin in MultiTail

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/quilt/quilt.make 

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif


build: build-stamp

build-stamp: $(QUILT_STAMPFN) 
	dh_testdir
	$(MAKE) 
	touch $@

clean: unpatch
	dh_testdir
	dh_testroot
	dh_clean  build-stamp install-stamp
	[ ! -f Makefile ] || $(MAKE) clean
	
install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/rsstail install
	touch $@

binary-indep: 
#do nothing

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install

## rsstail 1.8

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION=1.7
+VERSION=1.8
 
 DEBUG=-g
 LDFLAGS=-lmrss $(DEBUG)

=== debian/changelog ===
rsstail (1.8-1) unstable; urgency=low

  * New upstream release (Closes: #674232)
  * Change Standards-Version to 3.9.3 (No changes needed)
  * debian/compat: set to 9
  * debian/control:
    + remove quilt B-D
    + set dh depends to 9
  * Convert to Source format 3.0
    + Remove README.source
  * Add more headers to the patches
  * debian/rules: use dh simple file
  * debian/patches: Update headers on the patches
    + makefile_cflags.patch: Small changes to support hardening.
  * debian/copyright: Update copyright years

 -- Rene Mayorga <rmayorga@debian.org>  Mon, 25 Jun 2012 11:36:05 -0600

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = $(shell dh_listpackages)
TMP     = $(CURDIR)/debian/$(PACKAGE)

%:
	dh $@

=== debian/watch ===
version=3
http://www.vanheusden.com/rsstail/rsstail-(.*)\.tgz

## rsstail 2.1

=== Makefile ===
VERSION=2.1

DEBUG=-g
LDFLAGS=-liconv_hook -lmrss $(DEBUG)
CFLAGS=-O3 -Wall --std=gnu11 -DVERSION=\"$(VERSION)\" $(DEBUG)

OBJS=r2t.o

prefix ?= /usr/local
bindir ?= $(prefix)/bin
mandir ?= $(prefix)/share/man/man1

all: rsstail

rsstail: $(OBJS)
	$(CC) -Wall -W $(OBJS) $(LDFLAGS) -o rsstail

install: rsstail
	mkdir -p $(bindir)
	mkdir -p $(mandir)
	install rsstail $(bindir)
	install -m 644 rsstail.1 $(mandir)

uninstall:
	rm $(bindir)/rsstail $(mandir)/rsstail.1

clean:
	rm -f $(OBJS) core rsstail

package: clean
	# source package
	rm -rf rsstail-$(VERSION)*
	mkdir rsstail-$(VERSION)
	cp *.c *.1 Makefile* README.md license.* rsstail-$(VERSION)
	tar cf - rsstail-$(VERSION) | gzip -9 > rsstail-$(VERSION).tgz
	rm -rf rsstail-$(VERSION)

check:
	cppcheck -v --enable=all --std=c++11 --inconclusive --check-config -I. . 2> err.txt

=== debian/changelog ===
rsstail (2.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Move packaging to Salsa in salvage-team
    Closes: #1079513
  * Point watch file to Github
    Closes: #939583
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * Build-Depends: libiconv-hook-dev
  * Hardening options

 -- Andreas Tille <tille@debian.org>  Sat, 07 Sep 2024 22:37:32 +0200

=== debian/control ===
Source: rsstail
Section: text
Priority: optional
Maintainer: Package Salvaging Team <team+salvage@tracker.debian.org>
Uploaders: Rene Mayorga <rmayorga@debian.org>
Build-Depends: debhelper-compat (= 13),
               libmrss0-dev,
               libiconv-hook-dev,
               cppcheck <!nocheck>
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/salvage-team/rsstail
Vcs-Git: https://salsa.debian.org/salvage-team/rsstail.git
Homepage: https://www.vanheusden.com/rsstail/
Rules-Requires-Root: no

Package: rsstail
Enhances: multitail
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: console RSS reader that monitors a feed and outputs new entries
 This small, simple application reads an RSS feed and outputs it like the
 'tail' command.
 .
 This tool can be used as a plugin in MultiTail

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- prefix=$(CURDIR)/debian/`dh_listpackages`/usr

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
   https://github.com//folkertvanheusden/rsstail/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
